/*
  --------------------------------------------------->
  Base 
  --------------------------------------------------->
*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    transition: 300ms;
  }
  
  html {
    scroll-behavior: smooth;
  }
  
 body {
  background-image: url(../assets/footer-navy.png);
  background-size: contain;
  overflow-x: hidden;
}

  /*
    --------------------------------------------------->
    Heading
    --------------------------------------------------->
  
  /*
    --------------------------------------------------->
    Introduction
    --------------------------------------------------->
  */
  .main {
    background-image: url(../assets/wood-navy.png);
    color: antiquewhite;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 640px;
    border-bottom: 15px solid #2b3f4b;
  }
  p {
    text-align: justify;
  }
  .first {
    margin-top: 7rem;
    font-family: "Josefin Sans", sans-serif;
  }
  
  .first-a {
    font-size: 5rem;
    color: rgb(79, 114, 155);
    
  }
  
  .first-b {
    font-size: 3rem;
    color: azure;
    margin: 1rem 0;
    animation: MoveInRight 1s ease-out;
  }
  
  #c {
    display: flex;
    flex-direction: row;
    padding-bottom: 2rem;
    border-bottom: 4px solid #2b3f4b;
  }
  
  .first-c {
    font-size: 2rem;
    color:rgb(251, 159, 167);
    animation: MoveInLeft 1s ease-out;
  }
  
  @keyframes MoveInRight {
    0% {
      transform: translateX(100px);
      opacity: 0;
    }
  
    80% {
      transform: translateX(-20px);
    }
  
    100% {
      transform: translateX(0);
      opacity: 1;
    }
  }
  
  @keyframes MoveInLeft {
    0% {
      transform: translateX(-100px);
      opacity: 0;
    }
  
    80% {
      transform: translateX(20px);
    }
  
    100% {
      transform: translateX(0);
      opacity: 1;
    }
  }
  
  .second {
    text-align: center;
    margin-top: 5rem;
    font-size: 1.5rem;
    color: rgb(35, 121, 219);
    font-weight: bold;
    letter-spacing: 2px;
  }
  .fade {
    font-family: "Josefin Sans", sans-serif;
  }
  /* Scroll icon */
  
  .icon-scroll,
  .icon-scroll:before {
    position: absolute;
    left: 50%;
  }
  
  .icon-scroll {
    width: 25px;
    height: 40px;
    margin-left: -20px;
    top: 102%;
    margin-top: -150px;
    box-shadow: inset 0 0 0 1px #fff;
    border-radius: 25px;
    cursor: pointer;
  }
  
  .icon-scroll:before {
    content: "";
    width: 8px;
    height: 8px;
    background: #fff;
    margin-left: -4px;
    top: 8px;
    border-radius: 4px;
    animation-duration: 1.5s;
    animation-iteration-count: infinite;
    animation-name: scroll;
  }
  
  @keyframes scroll {
    0% {
      opacity: 1;
    }
  
    100% {
      opacity: 0;
      transform: translateY(46px);
    }
  }
  /*
    --------------------------------------------------->
    About me
  
    
    --------------------------------------------------->
  */
  
  h3.first-b {
    animation: type 2s steps(23);
    overflow: hidden;
    white-space: nowrap;
    font-family: consolas;
    border-right: 4px solid black;
    width: 23ch;
  }
  
  @keyframes type {
    0% {
      width: 0ch;
    }
  
    100% {
      width: 23ch;
    }
  }
  
  .intro {
    display: flex;
    align-items: center;
    background-color:transparent;
    color: #e1f1f1;
    justify-content: space-around;
    font-family: "Roboto Slab", serif;
    margin: 5rem 9rem;
    margin-left: 7rem;
    margin-right: 7rem;
    padding: 1rem;
    border-radius: 10px;
    min-height: 500px;
    box-shadow: #a9f5f5 0px 6px 15px,
    rgba(154, 241, 245, 0.911) 2px -2px 15px, rgb(3, 0, 54, 0.806) -4px 4px 6px,
      rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
  }
  
  .intro-head {
    font-size: 3rem;
    margin-bottom: 1.5rem;
    text-align: center;
    color: #c2f9f7;
  }
  
  .intro-text {
    letter-spacing: 3px;
    text-align: center;
    font-size: 1.4rem;
    padding: 3rem 1rem;
    font-weight: 500;
  }
  .intro-tab {
    display: inline-block;
    margin-left: 40px;
  }
  
  .intro-gap {
    display: inline-block;
    margin-bottom: 20px;
  }
  
  .intro img {
    align-items:start;
    height: 16.5rem;
    width: 16.5rem;
    border: 2px solid #bbe7e5;
    border-radius: 50%;
  }
  
  /*
    --------------------------------------------------->
    Education and Skills
    --------------------------------------------------->
  */
  
  .link-on-heading,
  .link-on-heading:hover,
  .link-on-heading:active,
  .link-on-heading:visited {
    text-decoration: none;
    color: inherit;
  }
  
  .Education,
  .skills {
    font-family: "Roboto Slab", serif;
    padding: 4rem 0;
  }
  
  .Education {
    background-image: url(./assets/footer-navy.png);
    display: flex;
    width: 100%;
    height: 100%;
    background-size: contain;
  }
  
  .skills {
    background-image: url(./assets/footer-navy.png);
    display: contents;
    background-size: contain;
  }
  
  .Education-heading{
    color: #dbcbbd;
    text-align: center;
    font-size: 3.2rem;
    padding: 1rem;
    margin-bottom: 1rem;
  }
  .skills-heading {
    color: #dbcbbd;
    text-align: center;
    font-size: 3.2rem;
    padding: 1rem;
    margin-bottom: 2rem;
    margin-top: 2rem;
    
  }
  
  .strength-name,
  .skill-name {
    font-size: 1.7rem;
    color: #9affff;
    padding-bottom: 1rem;
    margin-bottom: 20px;
    margin-top: 2rem;
  }
  .skill-name {
    padding-left: 1rem;
  }
  
  .strengths-text,
  .skills-container {
    letter-spacing: 1px;
    font-size: 1.2rem;
    display: grid;
    align-items: center;
    justify-content: center;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 0.2rem;
  }
  
  .skills-container {
    padding: 0 1rem 0 0;
  }
  
  /* .skill-card ul {
    display: block;
    list-style-type: disc;
    margin: 0;
    padding: 0 0 0 1em;
  }
  
  .skill-card li {
    display: list-item;
    margin-bottom: 0.5rem;
    list-style: none;
  }
  
  .strength-card:hover,
  .skill-card:hover {
    position: relative;
    bottom: 7px;
    left: 5px;
    box-shadow:
      rgba(0, 0, 0, 0.4) 0px 2px 4px,
      rgba(0, 0, 0, 0.3) 0px 7px 13px -3px,
      rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  } */
  
  /*.skill-card ul {
    display: block;
    list-style-type: none;
    margin: 0;
    padding: 0;
  }
  
  .skill-card li {
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
    white-space: nowrap;
    text-align: left;
    padding-left: 1.7rem;
    position: relative;
  }
  
  .skill-card li::before {
    content: "\f058";
    font-family: "Font Awesome 5 Free";
    color: #fae1e1;
    font-size: 1.2rem;
    position: absolute;
    left: 0;
  }
  
  .skill-card:hover {
    position: relative;
    bottom: 7px;
    left: 5px;
    box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
      rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  
  }*/
  
  
  #Education.timeline{
    display: flex;
    width:800px;
    color:#fff;
    padding:30px 20px;
    box-shadow:0px 0px 10px rgb(0, 0, 0);
    align-items: center;
    background : transparent;
    color: #e1f1f1;
    justify-content: space-around;
    font-family: "Roboto Slab", serif;
    margin-left: 200px;
    padding: 1rem;
    border-radius: 10px;
    min-height: 500px;
    
  }
  .timeline ul{
    list-style-type:none;
    border-left:2px solid #094a68;
    padding:10px 5px;
  }
  .timeline ul li{
    padding:20px 20px;
    position:relative;
    cursor:pointer;
    transition:.5s;
  }
  .timeline ul li span{
    display:inline-block;
    background :transparent;
    border-radius:25px;
    padding:5px 8px;
    font-size:20px;
    text-align:left;
  
  
  }
  .timeline ul li .content h3{
    color:#ede6c4;
    font-size:20px;
    padding-top:5px;
  }
  
  .timeline ul li .content h5{
    color:#34ace0;
    font-size:25px;
    padding-top:5px;
  }
  
  .timeline ul li .content p{
    padding:5px 0px 15px 0px;
    font-size:15px;
  }
  .timeline ul li:before{
    position:absolute;
    content:'';
    width:10px;
    height:10px;
    background-color:#34ace0;
    border-radius:50%;
    left:-11px;
    top:28px;
    transition:.5s;
  }
  .timeline ul li:hover{
    background-color:#071f2a;
  }
  .timeline ul li:hover:before{
    background-color:#0F0;
    box-shadow:0px 0px 10px 2px #0F0;
  }
  @media (max-width:300px){
    #Education.timeline{
      width:100%;
      padding:30px 5px 30px 10px;
    }
    #Education.timeline ul li .content h3{
      color:#34ace0;
      font-size:15px;
    }
  
  }
  
  .projects {
    font-family: "Roboto Slab", serif;
    background-image: url(./assets/footer-navy\ -\ Copy.png);
    display: contents;
    background-size: contain;
  }
  
  .projects-heading {
    font-size: 3.5rem;
    color: #e6d5d5;
    padding-top: 4rem;
    text-align: center;
  }
  
  .grid-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    row-gap: 1rem;
    column-gap: 1rem;
    padding: 4rem 3rem;
  }
  
  .grid-item {
    letter-spacing: 1.1px;
    min-height: 10rem;
    margin: 1rem;
    text-align: center;
    border-radius: 3px;
    padding-bottom: 0.5rem;
    border-radius: 10px;
    box-sizing: border-box;
    padding: 1rem;
  }
  
  .grid-item:hover {
    bottom: 7px;
    left: 5px;
    box-shadow: 15px 10px 8px 1px #252222;
  }
  
  .project-link {
    color: #c06448;
    font-size: 1.8rem;
    font-weight: 600;
    margin: 2rem auto;
    text-decoration: none;
  }
  .project-name {
    margin-bottom: 4vh;
  }
  
  .project-desc {
    color: #fffffff1;
    font-size: 1.1rem;
    font-weight: 400;
    margin-left: 8%;
    margin-right: 8%;
  }
  
  .project-button {
    background-color: #c06448;
    border: 2px solid #ffffff;
    border-radius: 10px;
    font-size: 25px;
    margin: 1em;
    padding: 10px 20px;
    box-shadow: 4px 3px 8px 1px #c06448;
  }
  
  .project-button:hover {
    background-color: #f75858;
    box-shadow: 4px 3px 8px 1px #f75858;
  }
  
  .project-button a {
    color: #ffffff;
    text-decoration: none;
  }
  
  
  /*
  My Blogs
  */
  .blogs {
    font-family: "Roboto Slab", serif;
    background-image: url(./assets/footer-navy\ -\ Copy.png);
    display: contents;
    background-size: contain;
  }
  
  .blogs-heading {
    font-size: 3.5rem;
    color: #e6d5d5;
    padding-top: 4rem;
    text-align: center;
    margin-bottom: 2rem;
  }
  .grid-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 1rem;
    column-gap: 1rem;
    padding: 4rem 3rem;
  }
  
  .grid-item {
    letter-spacing: 1.1px;
    min-height: 10rem;
    margin: 1rem;
    text-align: center;
    border-radius: 3px;
    padding-bottom: 0.5rem;
    border-radius: 10px;
    box-sizing: border-box;
    padding: 1rem;
  }
  
  .grid-item:hover {
    bottom: 7px;
    left: 5px;
    box-shadow: 15px 10px 8px 1px #252222;
  }
  
  .project-link {
    color: #c06448;
    font-size: 1.8rem;
    font-weight: 600;
    margin: 2rem auto;
    text-decoration: none;
  }
  .project-name {
    margin-bottom: 4vh;
  }
  
  .project-desc {
    color: #fffffff1;
    font-size: 1.1rem;
    font-weight: 400;
    margin-left: 8%;
    margin-right: 8%;
  }
  
  .project-button {
    background-color: #c06448;
    border: 2px solid #ffffff;
    border-radius: 10px;
    font-size: 25px;
    margin: 1em;
    padding: 10px 20px;
    box-shadow: 4px 3px 8px 1px #c06448;
  }
  
  .project-button:hover {
    background-color: #f75858;
    box-shadow: 4px 3px 8px 1px #f75858;
  }
  
  .project-button a {
    color: #ffffff;
    text-decoration: none;
  }
  
  /*
    --------------------------------------------------->
    Contact me [Footer]
    --------------------------------------------------->
  */
  
  .contact {
    background-image: url("./assets/footer-navy.png");
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center; /* Centers the text within the container */
  }
  
  .contact h2 {
    font-family: "Josefin Sans", sans-serif;
    padding-top: 2rem;
    color: rgb(116, 225, 250);
    font-size: 3rem;
    margin: 0; /* Remove any default margin for better centering */
  }
  
  /* Social Media icons */
  .icons ul {
    margin-top: 1rem;
    display: flex;
    justify-content: center; /* Centers the icons horizontally */
    padding: 0; /* Removes default padding from ul */
  }
  
  .icons ul li {
    list-style: none;
  }
  
  .icons ul li a {
    position: relative;
    width: 60px; /* Adjust the width and height for the icon button */
    height: 60px;
    display: block;
    text-align: center;
    margin: 0 20px; /* Adjust margin between icons */
    border-radius: 50%;
    padding: 6px;
    box-sizing: border-box;
    text-decoration: none;
    transition: 0.5s;
  }
  
  .icons ul li a:hover {
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    text-decoration: none;
  }
  
  .icons ul li a .fab,
  .icons ul li a .fa {
    width: 100%; /* Adjust width to fit within the button */
    height: 100%;
    display: block;
    border-radius: 50%;
    line-height: 60px; /* Centers the icon within the circle */
    font-size: 24px;
    color: #ffffff;
    transition: 0.5s;
  }
  
  .icons ul li:nth-child(1) a:hover .fab {
    color: #3b5998;
  }
  
  .icons ul li:nth-child(2) a:hover .fab {
    color: #00aced;
  }
  
  .icons ul li:nth-child(3) a:hover .fab {
    color: #561ebe;
  }
  
  .icons ul li:nth-child(4) a:hover .fab {
    color: #007bb6;
  }
  
  .icons ul li:nth-child(5) a:hover .fab {
    color: #e4405f;
  }
  
  .icons ul li:nth-child(6) a:hover .fa {
    color: #e4405f;
  }
  
  /* Tooltips */
  
  .tooltip {
    display: block;
    position: absolute;
    top: 0;
    left: 50%;
    padding: 0.8rem 1rem;
    border-radius: 12px;
    font-size: 0.8rem;
    font-weight: bold;
    opacity: 0;
    pointer-events: none;
    text-transform: uppercase;
    transform: translate(-50%, -100%);
    transition: all 0.3s ease;
    z-index: 1;
  }
  .tooltip:after {
    display: block;
    position: absolute;
    bottom: 1px;
    left: 50%;
    width: 0;
    height: 0;
    content: "";
    border: solid;
    border-width: 10px 10px 0 10px;
    border-color: transparent;
    transform: translate(-50%, 100%);
  }
  
  /* color */
  .social-icon--envelope {
    color: #fff;
  }
  .social-icon--linkedin {
    
    color: #fff;
  }
  .social-icon--github {
  
    color: #fff;
  }
  /* Hover Effect*/
  .social-icon:hover .tooltip {
    visibility: visible;
    opacity: 0;
    transform: translate(-50%, -150%);
  }
  .social-icon--envelope .tooltip {
    background: #e4405f;
  }
  .social-icon--envelope .tooltip::after {
    border-top-color: #e4405f;
  }
  
  .social-icon--facebook .tooltip {
    background: #3b5a9b;
  }
  .social-icon--facebook .tooltip::after {
    border-top-color: #3b5a9a;
  }
  .social-icon--linkedin .tooltip {
    background: #3b5a9b;
  }
  .social-icon--linkedin .tooltip::after {
    border-top-color: #3b5a9a;
  }
  .social-icon--twitter .tooltip {
    background: #2b97f1;
  }
  .social-icon--twitter .tooltip::after {
    border-top-color: #2b97f1;
  }
  
  .social-icon--youtube .tooltip {
    background: #f31344;
  }
  .social-icon--youtube .tooltip::after {
    border-top-color: #f31344;
  }
  
  .social-icon--instagram .tooltip {
    background: #e4405f;
  }
  .social-icon--instagram .tooltip:after {
    border-top-color: #e4405f;
  }
  
  .social-icon--github .tooltip {
    background: #561ebe;
  }
  /* icon after effect */
  .social-icon--github .tooltip::after {
    border-top-color: #561ebe;
  }
  
  /* Counter */
  
  .head {
    text-align: center;
    width: 10%;
    margin-left: auto;
    margin-right: auto;
    background-color: #3d6694;
    font-family: "Josefin Sans", sans-serif;
    color: azure;
    border: 1.5px solid #2b3f4b;
  }
  
  .count {
    text-align: center;
    width: 10%;
    height: 1.5rem;
    margin-left: auto;
    margin-right: auto;
    background-color: #3d6694;
    font-family: "Josefin Sans", sans-serif;
    color: azure;
    border: 1.5px solid #2b3f4b;
  }
  
  @media (max-width: 1500px) {
    .intro-head {
      font-size: 2rem;
    }
  
    .intro-text {
      font-size: 1.1rem;
    }
    .intro img {
      width: 30%;
      margin-top: 5%;
    }
  }
  
  @media (max-width: 1300px) {
    .intro-head {
      font-size: 2rem;
    }
  
    .intro-text {
      font-size: 1rem;
    }
    .intro img {
      width: 35%;
      margin-top: 5%;
    }
  }
  
  @media (max-width: 1100px) {
    .strengths-text,
    .skills-container {
      grid-template-columns: repeat(2, 1fr);
      grid-gap: 1rem;
    }
    .strengths-text {
      padding: 0 2rem;
    }
    .skills-container {
      padding: 0 2rem 0 0;
    }
  
    .grid-container {
      grid-template-columns: repeat(2, 1fr);
    }
    .project-desc {
      font-size: 1.4rem;
    }
  }
  
  @media (max-width: 1000px) {
    .intro {
      flex-direction: column;
    }
  
    .intro-text {
      font-size: 1.2rem;
    }
  
    .intro img {
      width: 50%;
      margin-top: 0%;
    }
  
    .experience-list {
      display: grid;
      grid-template-columns: repeat(1, 1fr);
      column-gap: 0.8rem;
      padding: 3rem 3rem;
    }
  }
  
  @media (max-width: 768px) {
    nav #logo a {
      font-size: 1.3rem;
      padding: 1rem 0.5rem;
    }
  
    nav #links a {
      padding: 1rem 0.3rem;
      font-size: 1rem;
    }
  
    .first {
      margin-top: 3rem;
    }
  
    .first-a {
      font-size: 4rem;
    }
  
    .first-b {
      font-size: 2rem;
    }
  
    #c {
      flex-direction: column;
      margin-bottom: 1.5rem;
    }
  
    .first-c {
      padding-bottom: 1.5rem;
      font-size: 2rem;
    }
  
    .second {
      margin-top: 2.5rem;
      font-size: 1rem;
    }
  
    .myButton {
      font-size: 20px;
      display: inline;
      width: fit-content;
      align-self: center;
    }
  
    .intro {
      margin: 2rem 4rem;
      padding: 0.5rem;
    }
  
    .intro-head {
      font-size: 2rem;
    }
  
    .intro-text {
      font-size: 1rem;
      padding: 2rem 1rem;
    }
  
    .Education-heading {
      font-size: 2rem;
      margin-bottom: 1rem;
    }
  
    .skills-heading {
      font-size: 2rem;
      margin-bottom: 1rem;
    }
  
    .projects-heading {
      font-size: 2rem;
    }
  
    .project-name {
      font-size: 1.5rem;
    }
  
    .project-desc {
      font-size: 1rem;
    }
  
    .grid-container {
      padding: 2rem 3rem;
      grid-template-columns: repeat(1, 1fr);
      grid-gap: 0;
    }
  
    .experience-list {
      display: grid;
      grid-template-columns: repeat(1, 1fr);
      column-gap: 0.8rem;
      padding: 3.5rem 2.5rem;
    }
  
    .experience-heading {
      font-size: 3rem;
      padding-top: 3rem;
    }
  
    .time-period {
      font-size: 1.4rem;
      font-weight: 600;
    }
  
    .experience-name {
      font-size: 1.7rem;
      padding-left: 0.4rem;
      padding-top: 0.4rem;
    }
  
    .responsibilities {
      font-size: 1.4rem;
    }
  
    .icons a img {
      height: 50px;
      width: 50px;
    }
  }
  
  @media (max-width: 480px) {
    body {
      max-width: 480px;
    }
  
    nav {
      height: auto;
      flex-direction: column;
      padding: 0.5rem 0;
    }
    nav #logo {
      margin-bottom: 1.5rem;
    }
  
    nav #logo a {
      font-size: 1.5rem;
    }
  
    #links {
      margin-right: 0px;
      font-size: 0.5rem;
    }
  
    .first {
      margin-top: 2rem;
    }
  
    .first-a {
      font-size: 3rem;
    }
  
    .first-b {
      font-size: 1.5rem;
    }
  
    #c {
      flex-direction: column;
      margin-bottom: 1rem;
    }
  
    .first-c {
      padding-bottom: 1rem;
      font-size: 1.3rem;
    }
  
    .second {
      margin-top: 2.5rem;
      font-size: 1rem;
    }
  
    .myButton {
      font-size: 1rem;
      display: inline;
      width: fit-content;
      align-self: center;
    }
  
    .intro {
      margin: 1rem 2rem;
      padding: 0.5rem;
    }
  
    .intro img {
      width: 80%;
    }
  
    .intro-head {
      font-size: 1.5rem;
    }
  
    .intro-text {
      font-size: 1rem;
      padding: 1rem 0.5rem;
    }
  
    .strengths-text,
    .skills-container {
      grid-template-columns: repeat(1, 2fr);
      grid-gap: 0.5rem;
    }
  
    .experience-list {
      display: grid;
      grid-template-columns: repeat(1, 1fr);
      row-gap: 1rem;
      column-gap: 0.7rem;
      padding: 3rem 2rem;
    }
  
    .experience-heading {
      font-size: 2.5rem;
      padding-top: 2rem;
    }
  
    .time-period {
      font-size: 1.2rem;
      font-weight: 600;
    }
  
    .experience-name {
      font-size: 1.5rem;
      padding-left: 0.3rem;
      padding-top: 0.3rem;
    }
  
    .responsibilities {
      font-size: 1.2rem;
    }
  
    form {
      max-width: 400px;
      margin: 2% 2% 2% 2%;
    }
  
    .icons ul {
      margin: 0.25rem auto;
      padding-bottom: 10%;
      display: flex;
      justify-content: center;
    }
  
    .icons ul li a {
      position: relative;
      width: 48px;
      height: 48px;
      display: block;
      text-align: center;
      margin: 0 6px;
      padding: 5px;
    }
  }
  
  #myBtn {
    height: 50px;
    width: 50px;
    display: grid;
    place-items: center;
    position: fixed;
    bottom: 30px;
    right: -50px;
    z-index: 99;
    border: none;
    border-radius: 50%;
    background-color: #555;
    color: white;
    cursor: pointer;
    padding: 10px;
    font-size: 25px;
  }
  
  #myBtn.shown {
    right: 30px;
  }
  
  #myBtn:hover {
    background-color: #f2f2f2;
  }
  .arrow {
    border: solid black;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
  }
  
  /* navbar */
  
  :root {
    --bg-color: #010121;
  }
  ::before,
  ::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  .navbar {
    padding: 0;
  }
  header {
    font-family: "Roboto Slab", serif;
    position: absolute;
    top: 0;
    background: var(--bg-color);
    position: fixed;
    width: 100%;
    z-index: 1000;
  }
  header h2 a {
    text-decoration: none;
    color: white;
  }
  .logo {
    text-align: center;
    padding: 1rem;
    cursor: pointer;
    position: relative;
    font-size: 25px;
    color: #ededed;
    text-decoration: none;
    font-weight: 600;
  }
  
  .logo::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background:#010121;
    ;
    animation: showRight 1s ease forwards;
    animation-delay: 0.4s;
  }
  
  nav {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    list-style: none;
    transform: scale(1, 0);
    transform-origin: top;
    transition: transform 500ms ease-in-out;
  }
  nav ul > li {
    background: var(--bg-color);
    padding-left: 1rem;
    padding-top: 1rem;
  }
  
  nav a {
    opacity: 0;
    text-decoration: none;
    background-color: transparent;
    color: white;
    font-size: 1.2rem;
    padding: 0.5rem;
    transition: all 100ms ease-in-out;
    position: relative;
  }
  nav ul li a:hover {
    /* font-weight: bold; */
    /* font-size: 1.5rem; */
    color: #a9f5f5;
    text-shadow: #a9f5f5 0px 6px 15px;
  }
  
  nav a::after {
    content: "";
    width: 0;
    height: 3px;
    background: #a9f5f5 !important;
    position: absolute;
    left: 0;
    bottom: -0.7px !important;
    transition: 0.4s;
  }
  
  nav a:hover::after {
    width: 100%;
  }
  
  #btn-toggle {
    display: none;
  }
  .btn-toggle {
    position: absolute;
    top: 0;
    left: 1rem;
    height: 100%;
    display: flex;
    align-items: center;
    cursor: pointer;
    transition: transform 250ms linear;
  }
  .btn-toggle span,
  .btn-toggle span::after,
  .btn-toggle span::before {
    display: block;
    width: 2rem;
    height: 2px;
    background: white;
    position: relative;
  }
  .btn-toggle span::after {
    height: 1.5px;
    content: "";
    top: 7px;
  }
  .btn-toggle span::before {
    content: "";
    bottom: 8px;
  }
  #btn-toggle:checked ~ .btn-toggle {
    transform: rotate(90deg);
  }
  #btn-toggle:checked ~ nav {
    transform: scale(1, 1);
    transition: transform 500ms ease-in-out;
  }
  #btn-toggle:checked ~ nav a {
    opacity: 1;
  }
  
  @media screen and (min-width: 1000px) {
    .btn-toggle {
      display: none;
    }
    header {
      display: flex;
      justify-content: space-between;
    }
  
    .logo {
      grid-column: 2/3;
    }
    nav {
      all: unset;
      grid-column: 3/4;
      display: flex;
      justify-content: flex-end;
      align-items: center;
    }
    nav a {
      opacity: 1;
    }
    nav ul {
      list-style: none;
      display: flex;
      margin-top: -12px;
    }
    nav li {
      margin-right: 1rem;
      position: relative;
    }
    nav a::after {
      content: "";
      position: absolute;
      height: 3px;
      width: 100%;
      background: transparent;
      bottom: -14px;
      left: 0.5rem;
      transform: scale(0, 1);
    }
    nav a:hover::after {
      transform: scale(1, 1);
    }
  }
  
  @keyframes showRight {
    100% {
      width: 0;
    }
  }
